### R code from vignette source 'mhurdle.rnw'

###################################################
### code chunk number 1: mhurdle.rnw:78-79
###################################################
options(prompt= "R> ", useFancyQuotes = FALSE)


###################################################
### code chunk number 2: mhurdle.rnw:1104-1106
###################################################
library("Formula")
f <- Formula(y ~ x11 + x12  | x21 + x22 | x31 + x32)


###################################################
### code chunk number 3: mhurdle.rnw:1114-1116
###################################################
data("tobin", package = "survival")
head(tobin, 3)


###################################################
### code chunk number 4: mhurdle.rnw:1132-1133
###################################################
f <- Formula(durable ~ age | age + quant | quant)


###################################################
### code chunk number 5: mhurdle.rnw:1140-1146
###################################################
S <- model.matrix(f, data = tobin, rhs = 1)
X <- model.matrix(f, data = tobin, rhs = 2)
P <- model.matrix(f, data = tobin, rhs = 3)
head(X,3)
head(S,3)
head(P,3)


###################################################
### code chunk number 6: mhurdle.rnw:1235-1236
###################################################
library("mhurdle")


###################################################
### code chunk number 7: mhurdle.rnw:1279-1280
###################################################
model12i <- mhurdle(durable~age+quant|age+quant|age+quant, tobin, dist="n", method="bfgs")


###################################################
### code chunk number 8: mhurdle.rnw:1291-1292
###################################################
model5 <- mhurdle(durable~0|age+quant|0, tobin, dist="n", method="nr")


###################################################
### code chunk number 9: mhurdle.rnw:1298-1299
###################################################
model3i <- mhurdle(durable~age+quant|age+quant|0, tobin, dist="l")


###################################################
### code chunk number 10: mhurdle.rnw:1305-1306
###################################################
model6 <- mhurdle(durable~0|age+quant|age+quant, tobin, dist="l")


###################################################
### code chunk number 11: mhurdle.rnw:1313-1314
###################################################
model8i <- mhurdle(durable~age+quant|age+quant|0, tobin, dist="n")


###################################################
### code chunk number 12: mhurdle.rnw:1320-1321
###################################################
model8d <- update(model8i, corr = TRUE)


###################################################
### code chunk number 13: mhurdle.rnw:1336-1337
###################################################
summary(model8i)


###################################################
### code chunk number 14: mhurdle.rnw:1353-1358
###################################################
coef(model12i, "reg")
coef(model12i, "sel")
coef(model12i, "sigma")
coef(summary(model12i), "ifr")
vcov(model12i, "reg")


###################################################
### code chunk number 15: mhurdle.rnw:1366-1369
###################################################
logLik(model12i)
logLik(model12i, which = "positive")
logLik(model12i, naive = TRUE, which = "zero")


###################################################
### code chunk number 16: mhurdle.rnw:1377-1378
###################################################
head(fitted(model12i))


###################################################
### code chunk number 17: mhurdle.rnw:1384-1388
###################################################
pr <- predict(model12i,newdata = data.frame(durable = c(0,1,0),
                         age = c(50, 32, 48),
                         quant = c(206, 232, 245)))
head(pr)


###################################################
### code chunk number 18: mhurdle.rnw:1407-1408
###################################################
r.squared(model12i,which = "all",type = "regression")


###################################################
### code chunk number 19: mhurdle.rnw:1419-1420
###################################################
r.squared(model12i, type = "mcfadden", which = "all", dfcor = TRUE)


###################################################
### code chunk number 20: mhurdle.rnw:1431-1432
###################################################
vuongtest(model6, model8d)


###################################################
### code chunk number 21: mhurdle.rnw:1454-1456
###################################################
vuongtest(model8d, model8i, type='nested', hyp=TRUE)
vuongtest(model8d, model8i, type='nested', hyp=FALSE)


###################################################
### code chunk number 22: mhurdle.rnw:1466-1467
###################################################
coef(summary(model8d), "rho")


